:root {
  --max-content-width: 960px;

  --size-x1: 8px;
  --size-x2: 16px;
  --size-x3: 24px;
  --size-x4: 32px;
  --size-x5: 40px;
  --size-x6: 48px;
  --size-x7: 56px;
  --size-x8: 64px;
  --size-x9: 72px;
  --size-x10: 80px;

  --color-white: white;
  --color-paper: #f2f1eb;
  --color-dark-navy: #131920;
  --color-red: #CB191F;
}

.atd26-tour h2,
.atd26-tour h3,
.atd26-tour h4,
.atd26-tour h5,
.atd26-tour h6 {
  color: inherit;
}

body:has(.tm_banner_b) .atd26-tour::before {
  content: '';
  display: block;
  padding-top: calc((100 / 1200) * 100%);
}

@media (min-width: 769px) {
  body:has(.tm_banner_b) .atd26-tour::before {
    display: none;
  }
}

/* cover */
.cover {
  color: white;
  background: 
    url('/contents/atd26-tour/images/cover_bg.webp')
    left bottom / cover no-repeat;
  border-image-source: linear-gradient(var(--color-dark-navy), rgb(19 25 32 / 0.8)); 
  border-image-source: linear-gradient(rgba(21, 32, 45), rgba(21, 32, 45, 0.8)); 
  /* border-image-source: linear-gradient(rgb(28, 62, 102), rgba(51, 92, 139, 0.8));  */
  border-image-slice: fill 1; 
}
.cover h1 {
  color: inherit;
  font-size: var(--size-x5);
}
.cover h1 small {
  display: block;
  font-size: 75%;
}
.cover h2 {
  color: inherit;
  font-size: var(--size-x3);
  font-weight: normal;
}
.cover-coupon {
  display: block;
  width: fit-content;
  padding: 0.5em 1em;
  font-size: var(--size-x2);
  letter-spacing: 0.025em;
  border: 1px solid var(--color-white);
}
.cover-date {
  display: flex;
  flex-wrap: wrap;
  gap: 0 0.5em;
  width: fit-content;
  padding: 0.5em 1em;
  color: var(--color-dark-navy);
  font-size: 18px;
  font-weight: bold;
  background-color: var(--color-white);
}
.cover-date b {
  display: block;
  color: var(--color-red);
  font-size: inherit;
  font-weight: inherit;
}
.cover-layout {
  width: min(100%, var(--max-content-width));
  margin-inline: auto;
  padding: var(--size-x6) var(--size-x2);
}
.cover-sub img {
  width: min(100%, 500px);
  border-radius: var(--size-x3);
}
.cover-sub p {
  font-size: var(--size-x2);
}
.cover-sub b {
  display: block;
  font-size: 18px;
}
.cover-provider {
  grid-column: span 2;
  display: block;

  font-size: 14px;
}

@media (min-width: 769px) {
  .cover h1 {
    font-size: var(--size-x6);
  }
  .cover h2 {
    font-size: var(--size-x3);
  }
  .cover-date {
    font-size: var(--size-x3);
  }

  .cover-layout {
    display: grid;
    grid-template-columns: 70% 30%;
    align-items: center;
  }
}

/* main */
.main {
  display: flex;
  flex-direction: column;
  align-items: center;
}

/* common */
.wrapper {
  width: min(100%, var(--max-content-width));
  margin-inline: auto;
  padding-inline: var(--size-x2);
}

.external-link {  
  display: inline-flex;
  align-items: center;
  gap: 0 0.25em;
  width: fit-content;
  color: inherit;
  font-size: inherit;
  line-height: 160%;
  border-bottom: 1px solid currentColor;
}

.external-link::after {
  content: '\f35d';
  font-family: "Font Awesome 5 Free";
  -webkit-font-smoothing: antialiased;
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  font-weight: 900;
  font-size: 14px;
  text-rendering: auto;
  line-height: 1;
}

/* apply block */
.apply {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-inline: auto;
  padding-block: var(--size-x5);
}
.apply p {
  display: flex;
  gap: 0 0.75em;
  font-size: var(--size-x3);
}
.apply p::before,
.apply p::after {
  content: '';
  display: block;
  width: 1px;
  height: 1.75em;
  background-color: var(--color-dark-navy);
  transform: rotate(-40deg);
}
.apply p::after {
  transform: rotate(40deg);
}

/* apply button */
.apply-button {
  display: block;  
  width: min(100%, 420px);
  padding: 1em;
  color: var(--color-white);
  font-size: var(--size-x3);
  text-align: center;
  background-color: var(--color-red);
  border-radius: var(--size-x2);
}
.apply-button:hover {
  color: var(--color-white);
}
.apply-button b {
  font-size: inherit;
}
.apply-button small {
  display: block;
  font-size: 75%;
}

/* intro */
.intro {
  padding-block: var(--size-x5);
  background-color: var(--color-paper);
}
.intro .wrapper {
  margin-inline: auto;
  font-size: var(--size-x2);
  line-height: 160%;
}
.intro p {
  font-size: inherit;
}
.intro-emphasis {
  width: fit-content;
  padding-block: 1em;
  font-weight: bold;
  border-top: 1px solid var(--color-red);
  border-bottom: 1px solid var(--color-red);
}

@media (min-width: 769px) {
  .intro .wrapper {
    font-size: 18px;
  }
}

/* section */
.section {
  width: 100%;
  padding-block: var(--size-x10);
  color: var(--color-dark-navy);
}
.section h2 {
  color: #335c8b;
  font-size: var(--size-x3);
}
.section p {
  font-size: var(--size-x2);
  line-height: 160%;
}

@media (min-width: 769px) {
  .section h2 {
    font-size: var(--size-x5);
  }
}

/* about */
.about {
  color: var(--color-white);
  background-color: var(--color-dark-navy);
}
.about h2 {
  color: #97bd4e;
}
.about h3 {
  font-size: var(--size-x2);
}
.about dl {
  display: grid;
  grid-template-columns: max-content auto;
  gap: 0 1em;

  padding: var(--size-x1) var(--size-x3);
  color: var(--color-dark-navy);
  background-color: var(--color-white);
  border-radius: var(--size-x2);
}
.about dl div {
  grid-column: span 2;
  display: grid;
  grid-template-columns: subgrid;
  
  padding-block: var(--size-x2);
}
.about dl div:not(:last-of-type) {
  border-bottom: 1px solid rgb(19 25 32 / 25%);
}
.about dt,
.about dd {
  font-size: var(--size-x2);
}
.steps .note,
.join .note,
.about .note {
  font-size: 14px;
  line-height: 180%;
}

@media (min-width: 769px) {
  .about h3 {
    font-size: var(--size-x3);
  }
}

/* join */

.join h3 {
  display: flex;
  font-size: 20px;
}
.join h3 span {
  flex: none;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  width: var(--size-x6);
  height: var(--size-x6);
  margin-right: 0.5em;
  color: var(--color-white);
  font-size: inherit;
  font-family: 'oswald', sans-serif;
  /* background-color: #21b3d0; */
  background-color: #335c8b;
  background-color: #97bd4e;
  border-radius: var(--size-x1);
  font-weight: 700;
  transform: skewX(-15deg);
}
.join .lead {
  font-size: 20px;
}
.join-block:not(:last-of-type) {
  padding-block: var(--size-x4);
  background-image: linear-gradient(90deg, rgb(0 0 0 / 15%), rgb(0 0 0 / 15%) 60%, transparent 60%, transparent);
  background-size: var(--size-x1) 1px;
  background-position: left bottom;
  background-repeat: repeat no-repeat;
}
.join-block:last-of-type {
  padding-top: var(--size-x4);
}
.coordinator-card {
  display: grid;
  align-items: center;
  justify-items: center;
  gap: var(--size-x4);
  padding: var(--size-x4);
  background-color: var(--color-paper);
  border-radius: var(--size-x2);
  overflow: hidden;
}
.coordinator-card img {
  width: min(100%, 200px);
}
.coordinator-text p {
  margin-bottom: 0;
}
.join li:not(.join .note li) {
  font-size: var(--size-x2);
  list-style: disc;
  line-height: 200%;
}
.join table {
  width: min(100%, 600px);
  border-collapse: collapse;
  border: 0;
  text-align: center;
  background-color: var(--color-paper);
}
.join table caption {
  padding-block: var(--size-x1);
  font-size: 20px;
  font-weight: bold;
}
.join table * {
  font-size: var(--size-x2);
}
.join table th,
.join table td {
  width: min(33.333%, 200px);
  padding: var(--size-x2) var(--size-x2);
  border: 1px solid rgb(19 25 32 / 15%);
  /* border-bottom: 1px solid rgb(19 25 32 / 25%); */
}

.join table thead th:first-of-type {
  background-color: #f8f7f3;
}
.join table thead th:nth-of-type(2) {
  background-color: rgb(29 155 156 / 50%);
}
.join table thead th:last-of-type {
  background-color: rgb(227 118 138 / 50%);
}
.join table tr:nth-of-type(even) th, 
.join table tr:nth-of-type(even) td {
  background-color: #f8f7f3;
}

@media (min-width: 769px) {
  .join h3 {
    align-items: center;
    font-size: var(--size-x3);
  }
  .coordinator-card {
    grid-template-columns: 20% calc(80% - var(--size-x4));
  }
}

/* steps */
.steps {
  background-color: var(--color-paper);
}
.steps ol {
  padding-block: 2rem;
  background-color: var(--color-white);
  border-radius: var(--size-x1);
}
.steps li {
  font-size: var(--size-x2);
  line-height: 200%;
}
.steps .steps-email i {
  margin-right: 0.25em;
}
.steps .steps-email a {
  font-size: inherit;
}
.steps .external-link {
  margin-inline: 0.25em;
}